အကြောင်းအရာသို့ ကျော်ရန်

Flux Kontext Lora · Inpaint

ပေါင်းစည်းရန်

မော်ဒယ် id flux-kontext-lora/inpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-lora/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၃၅ $ ၃၅ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Black Forest Labs ပုံတည်းဖြတ်ခြင်း ရည်ညွှန်း ထည့်သွင်းချက်များ #image-editing#image-inpainting#image-to-image

မတ်စ်နှင့် ရည်ညွှန်းပုံကို အသုံးပြုသော Kontext LoRA အင်ပိန်းတင်း

Black Forest Labs · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

image-to-image လုပ်ငန်းကို လမ်းညွှန်သည့် ပရောမ့်။

•လိုအပ်သည် image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

inpainting ထည့်သွင်းချက်ကို သတ်မှတ်သည့် ပုံ URL။

•လိုအပ်သည်
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

inpainting အတွက် အသုံးပြုသည့် reference ပုံ URL။

•လိုအပ်သည် mask_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

Inpainting mask URL။

num_images မူလ 1

ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။

အဆင့်မြင့် output_format · acceleration · num_inference_steps · guidance_scale · strength · seed · enable_safety_checker · loras
output_format မူလ png

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

acceleration မူလ none

ဖန်တီးမှုအရှိန်မြှင့်မှု။ ဆက်တင်မြင့်လေ ရလဒ်များဖန်တီးရန် လိုအပ်သောအချိန် လျော့နည်းလေဖြစ်သည်။

မူလ 30

လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။

မူလ 2.5

ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။

မူလ 0.88

ကနဦးပုံ အားပြင်းမှုဆက်တင်။ ဤမော်ဒယ်သည် ပိုမြင့်သောတန်ဖိုးများကို ဦးစားပေးသည်။

ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။

မူလ []

ပေါင်းစပ်အကျိုးသက်ရောက်မှုဖြင့် ဖန်တီးထားသော ပုံကို ထုတ်ပေးသည့် LoRA များ။ ပေးနိုင်သည့်အရေအတွက် ကန့်သတ်မထားပါ။

POST /run/flux-kontext-lora/inpaint?wait=20 ကုန်ကျစရိတ် → ၀.၀၃၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-kontext-lora/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Flux Kontext Lora · Inpaint အကြောင်း

လိုအပ်သော `reference_image_url` နှင့် `prompt` ကို အသုံးပြု၍ `image_url` ရှိ `mask_url` သတ်မှတ်ထားသော ဧရိယာကို ဖြည့်ပေးသည်။ 0.01 မှ 1 အထိ `strength` ၏ မူရင်းတန်ဖိုးမှာ 0.88 ဖြစ်ပြီး စိတ်ကြိုက် `loras` များကို ပေါင်းစပ်နိုင်သည်။ `acceleration`၊ အဆင့် 10 မှ 50 အထိနှင့် output 4 ခုအထိလည်း ပါဝင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
inpainting ထည့်သွင်းချက်ကို သတ်မှတ်သည့် ပုံ URL။
promptလိုအပ်သည်
အမျိုးအစားstring
image-to-image လုပ်ငန်းကို လမ်းညွှန်သည့် ပရောမ့်။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး30
၁၀ – ၅၀
လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး2.5
၀ – ၂၀
ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။
num_imagesရွေးချယ်နိုင်သည် num_outputs
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၄
ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှုသည် မလုံခြုံဟု သတ်မှတ်ခံရသော ပုံများအစား အနက်ရောင်ပုံများကို ပြန်ပေးသည်။ true သည် စစ်ဆေးမှုကို ဖွင့်ပေးပြီး false သည် ခွင့်ပြုထားသောအကောင့်များအတွက်သာ ပိတ်ပေးသည်။ ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို မည်သို့ပင်ဖြစ်စေ စစ်ဆေးသည်။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးpng
jpegpng
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
lorasရွေးချယ်နိုင်သည်
အမျိုးအစားobject[]
မူလတန်ဖိုး[]
ပေါင်းစပ်အကျိုးသက်ရောက်မှုဖြင့် ဖန်တီးထားသော ပုံကို ထုတ်ပေးသည့် LoRA များ။ ပေးနိုင်သည့်အရေအတွက် ကန့်သတ်မထားပါ။
loras[].pathလိုအပ်သည်
အမျိုးအစားstring
URL သို့မဟုတ် path အဖြစ် သတ်မှတ်ထားသော LoRA weights တည်နေရာ။
loras[].scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၀ – ၄
အခြေခံမော်ဒယ်သို့ မပေါင်းစပ်မီ LoRA weight တွင် အသုံးပြုသော multiplier။
accelerationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးnone
noneregularhigh
ဖန်တီးမှုအရှိန်မြှင့်မှု။ ဆက်တင်မြင့်လေ ရလဒ်များဖန်တီးရန် လိုအပ်သောအချိန် လျော့နည်းလေဖြစ်သည်။
reference_image_urlလိုအပ်သည်
အမျိုးအစားurl · image
inpainting အတွက် အသုံးပြုသည့် reference ပုံ URL။
mask_urlလိုအပ်သည် mask
အမျိုးအစားurl · image
Inpainting mask URL။
strengthရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.88
၀.၀၁ – ၁
ကနဦးပုံ အားပြင်းမှုဆက်တင်။ ဤမော်ဒယ်သည် ပိုမြင့်သောတန်ဖိုးများကို ဦးစားပေးသည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-kontext-lora/inpaint",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, width, height, content_type}ဖန်တီးထားသော ပုံများ၏ ဖိုင်အချက်အလက်။
timings
object
seed
integerပုံဖန်တီးမှုအတွက် seed၊ ထည့်သွင်းချက်တွင် seed မပါပါက ကျပန်းရွေးချယ်ထားသောတန်ဖိုးကို ပါဝင်စေပြီး၊ ပါရှိပါက ပေးထားသောတန်ဖိုးကို ထပ်မံအသုံးပြုသည်။
has_nsfw_concepts
array of booleanဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။
prompt
stringပုံဖန်တီးစဉ် အသုံးပြုမည့် ပရောမ့်။

နောက်ထပ် မော်ဒယ်များ: ပုံတည်းဖြတ်ခြင်း

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/flux-kontext-lora/inpaint.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt